module Main(main) where

import System.Environment


import TerraHS
import TerraHS.Misc.StrFunctions


import Algebras.Functor.Category

host = "localhost";
dbname =  "db5";
user = "root";
password = "root";





main :: IO()
main  = do

	args <- getArgs 
	let fn = head args
	let layername = get_head fn '.'

	-- abre o banco de dados
	db <- open (TeMySQL host user password dbname)
	
	rs <- loadRasterFile fn
	
	let rs_inv = lift1 (\x->255 - x) rs
	

	store db "image" rs
	store db "inv_image" rs_inv
	
	close db
	
	


	