
module  Main where

import TerraHS


-- point definitions
p1, p2 :: TePoint
p1 = createPoint 12.5 10.0
p2 = createPoint 14.5 10.0

-- line definitions
l :: TeLine2D
l = (createLine [ (1.0,1.0),(1.0,2.0),(1,7) ] )

-- polygon definition
pol :: TePolygon
pol = createPolygon [(createLine [ (1.0,1.0),(1.0,2.0),(3,2),(3.0,1.0),(1,1) ] )]

main:: IO()
main = do
	print (p1)
	print (l)
	print (pol)
	print (disjoint l pol) -- other operations ( intersects, contains, coveredby, overlaps, equals, within, disjoint, crosses, touches)
	print (disjoint p1 p2)
	print (within p1 pol)
	print (area pol)


